> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/inbound-transfers/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # List Inbound Transfers GET https://api.givechariot.com/v1/inbound_transfers List inbound transfers for your account. Reference: https://docs.givechariot.com/api/inbound-transfers/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Query parameters - `page_limit` (integer, optional) — Limit the size of the list that is returned. The default (and maximum) is 100 objects. - `page_token` (string, optional) — The cursor to use for pagination. If not set, the first page of results will be returned. - `program_id` (string, optional) — Filter the inbound transfers to a single program. ## Response ### 200 The response for InboundTransfers.list - `results` (list of InboundTransfer, optional) - `next_page_token` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the page_token). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 404 Not Found Error Resource Not Found - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### InboundTransfer An inbound transfer represents a transfer of funds from an external bank account to a financial account. - `id` (string, required) — The unique identifier for the inbound transfer - `program_id` (string, required) — The unique identifier for the program that the inbound transfer belongs to. - `amount` (long, required) — The amount of the inbound transfer in minor currency units (cents). This amount must be positive. - `created_at` (datetime, required) — The date and time the inbound transfer was created - `description` (string, optional) — An arbitrary string attached to the object. Often useful for displaying to users. - `status` (enum, optional) — The status of the inbound transfer. An Inbound Transfer is `pending` if it created and the funds haven't been received yet. The status changes to `completed` when the funds have been received and the balance of the financial account has been updated. The status changes to `canceled` if the transfer is canceled. The status changes to `failed` if the transfer fails. - Allowed values: `pending`, `completed`, `canceled`, `failed` - `transfer` (Transfer, optional) — A subhash containing information about the transfer associated with the inbound transfer. - `updated_at` (datetime, optional) — The date and time the inbound transfer was last updated ### Transfer A subhash containing information about the transfer associated with the deposit. - `amount` (long, required) — The amount of the transfer in minor currency units. For example, for dollars, this is cents. - `currency` (string, required) — The [ISO 4217 code](https://en.wikipedia.org/wiki/ISO_4217) for the transfer's currency. - `financial_account_id` (string, required) — The unique identifier for the financial account that the transfer was made to. - `description` (string, optional) — A description of the transfer. - `inbound_account_transfer` (InboundAccountTransfer, optional) — A subhash containing information about the inbound account transfer associated with the deposit. - `inbound_ach_transfer` (InboundAchTransfer, optional) — A subhash containing information about the inbound ACH transfer associated with the deposit. - `ach_transfer` (AchTransfer, optional) — A subhash containing information about the ACH transfer associated with the transfer. Present when Chariot debits an external bank account to fund the account. - `check_deposit` (CheckDeposit, optional) — A subhash containing information about the check deposit associated with the deposit. - `inbound_real_time_payments_transfer` (InboundRealTimePaymentsTransfer, optional) — A subhash containing information about the inbound real-time payments transfer associated with the transfer. - `inbound_wire_transfer` (InboundWireTransfer, optional) — A subhash containing information about the inbound wire transfer associated with the transfer. ### InboundAccountTransfer An instant transfer of funds between two financial accounts. This is the preferred method of transferring funds for Grantmakers within Chariot's Network. - `created_at` (datetime, required) — The date and time the account transfer was created ### InboundAchTransfer An ACH transfer initiated outside of Chariot to your financial account. - `standard_entry_class_code` (string, optional) — The Standard Entry Class (SEC) code for the ACH transfer. - `company_entry_description` (string, optional) — The company entry description for the ACH transfer. - `originator_routing_number` (string, optional) — The routing number of the originator of the ACH transfer. - `originator_company_name` (string, optional) — The name of the originator of the ACH transfer. - `trace_number` (string, optional) — The trace number for the ACH transfer. - `effective_date` (datetime, optional) — The effective date for the ACH transfer. The time component is always midnight UTC. - `status` (enum, optional) — The status of the ACH transfer. - Allowed values: `pending`, `declined`, `accepted`, `returned` - `company_discretionary_data` (string, optional) — Optional data set by the originator for their own internal use, taken from the Company Discretionary Data field of the ACH batch header record. ### AchTransfer An ACH transfer represents an electronic transfer of funds via the Automated Clearing House (ACH) payment network. - `transfer_id` (string, required) — The unique identifier for the ACH transfer - `amount` (long, required) — The amount of the ACH transfer in minor currency units (cents). For ACH debits, this is a negative number. - `status` (enum, required) — The lifecycle status of the ACH transfer. Possible values include: - `initiated`: The ACH transfer has been initiated and is pending submission to the Federal Reserve. - `pending_submission`: The ACH transfer is queued for submission to the Federal Reserve. - `submitted`: The ACH transfer has been submitted to the Federal Reserve. - `completed`: The ACH transfer has been completed. Funds should be settled. - `rejected`: The ACH transfer was rejected. - `returned`: The ACH transfer was returned by the receiving organization. - `canceled`: The ACH transfer was canceled before submission. - Allowed values: `initiated`, `pending_submission`, `submitted`, `completed`, `rejected`, `returned`, `canceled` - `created_at` (datetime, required) — The date and time the ACH transfer was created - `direction` (enum, optional) — The direction of the ACH transfer. - Allowed values: `credit`, `debit` - `standard_entry_class_code` (enum, optional) — The Standard Entry Class (SEC) code for the ACH transfer. - Allowed values: `corporate_credit_or_debit`, `prearranged_payments_and_deposit`, `international_ach_transaction`, `internet_initiated`, `corporate_trade_exchange` - `company_entry_description` (string, optional) — The company entry description for the ACH transfer. This is included in the transfer data sent to the receiving bank. - `trace_number` (string, optional) — A 15 digit number recorded in the Nacha file and transmitted to the receiving bank. Along with the amount, date, and originating routing number, this can be used to identify the ACH transfer at the receiving bank. ACH trace numbers are not unique, but are used to correlate returns. - `effective_date` (datetime, optional) — The ACH transfer's effective date as sent to the Federal Reserve. This is the date the funds will be available to the receiving organization. The time component is always midnight UTC. - `submitted_at` (datetime, optional) — The date and time the ACH transfer was submitted to the Federal Reserve. - `settled_at` (datetime, optional) — The date and time at which the ACH transfer was settled. If the transfer is not settled, this will be null. - `rejected_at` (datetime, optional) — The date and time at which the ACH transfer was rejected. If the transfer is not rejected, this will be null. - `returned_at` (datetime, optional) — The date and time at which the ACH transfer was returned. If the transfer is not returned, this will be null. - `updated_at` (datetime, optional) — The date and time the ACH transfer was last updated ### CheckDeposit A check deposit represents a physical check that is deposited into a financial account. - `auxiliary_on_us` (string, optional) — An additional line of metadata printed on the check. This typically includes the check number for business checks. - `routing_number` (string, optional) — The routing number printed on the check. This is a routing number for the bank that issued the check. - `submitted_at` (datetime, optional) — The date and time the check deposit was submitted. - `status` (enum, optional) — The status of the check deposit. - Allowed values: `pending`, `deposited`, `rejected`, `returned` ### InboundRealTimePaymentsTransfer A Real-Time Payments transfer initiated outside of Chariot to your financial account. Inbound Real-Time Payments transfers settle immediately. - `status` (enum, optional) — The status of the inbound real-time payments transfer. - Allowed values: `pending_confirmation`, `confirmed`, `declined` - `debtor_name` (string, optional) — The name of the debtor who sent the transfer. - `debtor_routing_number` (string, optional) — The routing number of the debtor's financial account. - `debtor_account_number` (string, optional) — The account number of the debtor's financial account. - `transaction_identification` (string, optional) — The transaction identification assigned by the sender. - `remittance_information` (string, optional) — Unstructured remittance information sent with the transfer. - `confirmed_at` (datetime, optional) — The date and time the transfer was confirmed. ### InboundWireTransfer A wire transfer initiated outside of Chariot to your financial account. - `status` (enum, optional) — The status of the inbound wire transfer. - Allowed values: `pending_confirmation`, `confirmed` - `originator_name` (string, optional) — The name of the originator who sent the transfer. - `originator_routing_number` (string, optional) — The routing number of the originator's financial account. - `originator_account_number` (string, optional) — The account number of the originator's financial account. - `confirmed_at` (datetime, optional) — The date and time the transfer was confirmed. ## Examples **Response** ```json { "results": [ { "id": "inbound_transfer_01j8rs605a4gctmbm58d87mvsj", "program_id": "program_01j8rs605a4gctmbm58d87mvsj", "amount": 10000, "created_at": "2020-01-31T23:00:00Z", "description": "InboundTransfer from my bank account", "status": "pending", "transfer": { "amount": 10000, "currency": "USD", "financial_account_id": "fa_01j8rs605a4gctmbm58d87mvsj", "description": "Disbursement to nonprofit", "inbound_account_transfer": { "created_at": "2020-01-31T23:00:00Z" }, "inbound_ach_transfer": { "standard_entry_class_code": "WEB", "company_entry_description": "GRANTPMT", "originator_routing_number": "1234567890", "originator_company_name": "Charity Good", "trace_number": "1234567890", "effective_date": "2020-01-31T00:00:00Z", "status": "accepted", "company_discretionary_data": "GRANT-2024-001" }, "ach_transfer": { "transfer_id": "ach_transfer_01j8rs605a4gctmbm58d87mvsj", "amount": 10000, "status": "initiated", "created_at": "2020-01-31T23:00:00Z", "direction": "credit", "standard_entry_class_code": "corporate_credit_or_debit", "company_entry_description": "Disbursement to nonprofit", "trace_number": "012345678901234", "effective_date": "2020-01-31T00:00:00Z", "submitted_at": "2020-01-31T23:00:00Z", "settled_at": "2020-07-12 15:00:00.000", "rejected_at": "2020-07-12 15:00:00.000", "returned_at": "2020-07-12 15:00:00.000", "updated_at": "2020-01-31T23:00:00Z" }, "check_deposit": { "auxiliary_on_us": "102", "routing_number": "101050001", "submitted_at": "2020-01-31T23:00:00Z", "status": "deposited" }, "inbound_real_time_payments_transfer": { "status": "confirmed", "debtor_name": "Charity Good", "debtor_routing_number": "1234567890", "debtor_account_number": "9876543210", "transaction_identification": "20240101ABC123", "remittance_information": "Grant payment", "confirmed_at": "2020-01-31T23:00:00Z" }, "inbound_wire_transfer": { "status": "confirmed", "originator_name": "Charity Good", "originator_routing_number": "1234567890", "originator_account_number": "9876543210", "confirmed_at": "2020-01-31T23:00:00Z" } }, "updated_at": "2020-01-31T23:00:00Z" } ], "next_page_token": "string" } ```